------------------------------------------------------------------------------------
--Name：  210513[简体征服][活动脚本]6月新副本活动
--Creator:      谢孟轩
--Created:     2021-05-13
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>169

CppScriptMgr:SetViewPosByCell(352,485)

local player1 = CppScriptMgr:AddSimplePlayer(32606,356,486,"Wuchang")
player1:SetDir(2)
local player2 = CppScriptMgr:AddSimplePlayer(21600,356,490,"Gloom Furnace")

local hero = CppScriptMgr:QueryHero()
		hero:SetPos(352,485)
		hero:SetDir(6)
		
--player1:Say("我们已经找到了可以免疫Gloom Miasma的宝物。",2000)
--CppScriptMgr:WaitMilSec(2000)
--hero:Say("是何物？",2000)
--CppScriptMgr:WaitMilSec(2000)

player1:AddEffect("guard_defshare")
player1:Say("This Gloom Shield can protect you from all poisons! Let alone miasma!",2000)
CppScriptMgr:WaitMilSec(2000)
hero:Say("Really?",2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say("I can take it to Gloom Space and prove it to you!",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj1 = CppScriptMgr:AddEffect("moveback",356,486)
player1:DelEffect("guard_defshare")
player1:SetPos(1,1)

--转场
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetLightScreen(2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj1 = CppScriptMgr:AddEffect("moveback",356,486)
CppScriptMgr:WaitMilSec(1000)
player1:SetPos(356,486)


--player1:SetAction(230)
--player1:Say("你看，我说的没错吧，一点事也没有！",2000)
--CppScriptMgr:WaitMilSec(2000)
--player1:SetAction(190)
player1:Say("This Gloom Furnace can purify Gloom Miasmas. You will get fancy rewards if you make it!",3000)
CppScriptMgr:WaitMilSec(3000)

--hero:SetAction(200)
--hero:Say("竟有如此好事，那该如何凝练呢？",2000)
--CppScriptMgr:WaitMilSec(2000)

--player2:AddEffect("ws_hytxj_att")
--player1:Say("需将在Gloom Space收集到的Gloom Miasma投入炉中即可完成凝练获得奖励。",3000)
--CppScriptMgr:WaitMilSec(3000)
hero:Say("I want to collect Gloom Miasmas.",2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Pass the 9th floor of Gloom Space to get listed on Exorcism Rankings! Gloom Space is perilous. Please be cautious!",3000)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

